IcedTea-Web NetX

## net.sourceforge.jnlp.security
Class JNLPAuthenticator

    java.lang.Object
      java.net.Authenticator
          net.sourceforge.jnlp.security.JNLPAuthenticator

    public class JNLPAuthenticator

extends java.net.Authenticator

Nested Class Summary

Nested classes/interfaces inherited from class java.net.Authenticator
`java.net.Authenticator.RequestorType`

Constructor Summary
`JNLPAuthenticator()`

Method Summary
`java.net.PasswordAuthentication` `getPasswordAuthentication()`

Methods inherited from class java.net.Authenticator
`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNLPAuthenticator

    public JNLPAuthenticator()

Method Detail

### getPasswordAuthentication

    public java.net.PasswordAuthentication getPasswordAuthentication()

  Overrides:
    `getPasswordAuthentication` in class `java.net.Authenticator`

IcedTea-Web NetX

Submit a bug or feature